package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.ClassGroupTeacherMapper;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 班级调整
 */
public class ClassGroupAdjustDto {

    @ApiModelProperty(value = "乐团id", required = true)
    private String musicGroupId;

    @ApiModelProperty(value = "班级名称", required = true)
    private String classGroupName;

    @ApiModelProperty(value = "班级id", required = true)
    private Integer classGroupId;

    @ApiModelProperty(value = "学生-班级", required = true)
    private List<ClassGroupStudentMapperDto> classGroupStudentMapperDtoList;

    @ApiModelProperty(value = "老师设置", required = true)
    private List<ClassGroupTeacherMapper> classGroupTeacherMapperList;

    @ApiModelProperty(value = "是否永久 方式1-永久 0-临时", required = true)
    private YesOrNoEnum type;

    @ApiModelProperty(value = "开始时间", required = true)
    private String startDate;

    @ApiModelProperty(value = "排课星期几",required = true)
    private Integer dayOfWeek;

    @ApiModelProperty(value = "上课开始时间",required = true)
    private String startClassTime;

    @ApiModelProperty(value = "上课结束时间",required = true)
    private String endClassTime;

    @ApiModelProperty(value = "排课次数", required = true)
    private Integer courseTimes;

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public YesOrNoEnum getType() {
        return type;
    }

    public void setType(YesOrNoEnum type) {
        this.type = type;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public List<ClassGroupTeacherMapper> getClassGroupTeacherMapperList() {
        return classGroupTeacherMapperList;
    }

    public void setClassGroupTeacherMapperList(List<ClassGroupTeacherMapper> classGroupTeacherMapperList) {
        this.classGroupTeacherMapperList = classGroupTeacherMapperList;
    }

    public List<ClassGroupStudentMapperDto> getClassGroupStudentMapperDtoList() {
        return classGroupStudentMapperDtoList;
    }

    public void setClassGroupStudentMapperDtoList(List<ClassGroupStudentMapperDto> classGroupStudentMapperDtoList) {
        this.classGroupStudentMapperDtoList = classGroupStudentMapperDtoList;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getDayOfWeek() {
        return dayOfWeek;
    }

    public void setDayOfWeek(Integer dayOfWeek) {
        this.dayOfWeek = dayOfWeek;
    }

    public String getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(String startClassTime) {
        this.startClassTime = startClassTime;
    }

    public String getEndClassTime() {
        return endClassTime;
    }

    public void setEndClassTime(String endClassTime) {
        this.endClassTime = endClassTime;
    }

    public Integer getCourseTimes() {
        return courseTimes;
    }

    public void setCourseTimes(Integer courseTimes) {
        this.courseTimes = courseTimes;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }
}
